futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | None
Language | GHC2021

Futhark.Optimise.TileLoops

Description

Perform a restricted form of loop tiling within SegMaps. We only tile primitive types, to avoid excessive shared memory use.

Synopsis

- tileLoops :: Pass GPU GPU

# Documentation

tileLoops :: Pass GPU GPU Source #

The pass definition.